package mhp.oee.po.gen;

import java.util.Date;

public class ResourceMeUserPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_me_user.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_me_user.RESOURCE_BO
     *
     * @mbggenerated
     */
    private String resourceBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_me_user.ME_USER_ID
     *
     * @mbggenerated
     */
    private String meUserId;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_me_user.SHIFT
     *
     * @mbggenerated
     */
    private String shift;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_me_user.SHIFT_DESCRIPTION
     *
     * @mbggenerated
     */
    private String shiftDescription;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_me_user.ENABLED
     *
     * @mbggenerated
     */
    private String enabled;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_me_user.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_me_user.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_me_user.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_me_user.HANDLE
     *
     * @return the value of resource_me_user.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_me_user.HANDLE
     *
     * @param handle the value for resource_me_user.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_me_user.RESOURCE_BO
     *
     * @return the value of resource_me_user.RESOURCE_BO
     *
     * @mbggenerated
     */
    public String getResourceBo() {
        return resourceBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_me_user.RESOURCE_BO
     *
     * @param resourceBo the value for resource_me_user.RESOURCE_BO
     *
     * @mbggenerated
     */
    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo == null ? null : resourceBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_me_user.ME_USER_ID
     *
     * @return the value of resource_me_user.ME_USER_ID
     *
     * @mbggenerated
     */
    public String getMeUserId() {
        return meUserId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_me_user.ME_USER_ID
     *
     * @param meUserId the value for resource_me_user.ME_USER_ID
     *
     * @mbggenerated
     */
    public void setMeUserId(String meUserId) {
        this.meUserId = meUserId == null ? null : meUserId.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_me_user.SHIFT
     *
     * @return the value of resource_me_user.SHIFT
     *
     * @mbggenerated
     */
    public String getShift() {
        return shift;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_me_user.SHIFT
     *
     * @param shift the value for resource_me_user.SHIFT
     *
     * @mbggenerated
     */
    public void setShift(String shift) {
        this.shift = shift == null ? null : shift.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_me_user.SHIFT_DESCRIPTION
     *
     * @return the value of resource_me_user.SHIFT_DESCRIPTION
     *
     * @mbggenerated
     */
    public String getShiftDescription() {
        return shiftDescription;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_me_user.SHIFT_DESCRIPTION
     *
     * @param shiftDescription the value for resource_me_user.SHIFT_DESCRIPTION
     *
     * @mbggenerated
     */
    public void setShiftDescription(String shiftDescription) {
        this.shiftDescription = shiftDescription == null ? null : shiftDescription.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_me_user.ENABLED
     *
     * @return the value of resource_me_user.ENABLED
     *
     * @mbggenerated
     */
    public String getEnabled() {
        return enabled;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_me_user.ENABLED
     *
     * @param enabled the value for resource_me_user.ENABLED
     *
     * @mbggenerated
     */
    public void setEnabled(String enabled) {
        this.enabled = enabled == null ? null : enabled.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_me_user.CREATED_DATE_TIME
     *
     * @return the value of resource_me_user.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_me_user.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for resource_me_user.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_me_user.MODIFIED_DATE_TIME
     *
     * @return the value of resource_me_user.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_me_user.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for resource_me_user.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_me_user.MODIFIED_USER
     *
     * @return the value of resource_me_user.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_me_user.MODIFIED_USER
     *
     * @param modifiedUser the value for resource_me_user.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}